<Query Kind="Program" />

// C# 12 also supports 'ref readonly' as an alternative to 'in'.
//
// 'ref readonly' behaves like 'in', but generates warnings when the compiler is
// unable to pass by reference, and is useful in advanced optimization scenarios.
//
// For a full discussion, see query://../../../What's_New_in_C#/What's_New_in_C#_12/Ref_readonly_parameters