<Query Kind="Statements" />

Person p = new Person ("Alice", "Jones", 33);
p.Print();    // Alice Jones

class Person (string firstName, string lastName)
{
	int _age;
	
	// The constructor that C# builds is called primary because any additional constructors
	// that you choose to (explicitly) write must invoke it:
  
	public Person (string firstName, string lastName, int age)
		: this (firstName, lastName)    // Must call the primary constructor
	{
		_age = age;
	}
	  
	public void Print() => Console.WriteLine (firstName + " " + lastName + " " + _age);
}

// See also query://../Inheritance/Inheritance_with_primary_constructors