<Query Kind="Statements" />

// The accessibility of primary constructor parameters extends to field and property initializers.
// In the following example, we use field and property initializers to assign firstName to a public
// field, and lastName to a public property:

Person p = new Person ("Alice", "Jones");
p.Dump();

class Person (string firstName, string lastName)
{
	public readonly string FirstName = firstName;  // Field
	public string LastName { get; } = lastName;    // Property
}

