<Query Kind="Statements">
  <Namespace>System.Collections.Immutable</Namespace>
</Query>

// From C# 12, you can use square brackets when initializing a array.
// This is called a collection expression:

int[] array = [1, 2, 3];
array.Dump();

// Collection expressions also work with other collection types:

List<int> list = [1, 2, 3];
list.Dump();

Span<int> span = [1, 2, 3];
span.Dump();

HashSet<int> set = [1, 2, 3];
set.Dump();

ImmutableArray<int> immutable = [1, 2, 3];
immutable.Dump();

// Unfortunately, collection expressions don't have a natural type, so the following is illegal:
// var foo = [1, 2, 3];