<Query Kind="Statements" />

// Fields (or properties) can reuse primary constructor parameter names: 

Person p = new Person ("Alice", "Jones");
p.Print();

class Person (string firstName, string lastName)
{
	// In this scenario, the field or property takes precedence, thereby masking
	// the primary constructor parameter, except on the righthand side of field and
	// property initializers:	
	readonly string firstName = firstName;
	readonly string lastName = lastName;

	public void Print() => Console.WriteLine (firstName + " " + lastName);
}
