<Query Kind="Statements" />

// From C# 12, you can include a parameter list directly after a class (or struct) declaration.
// This instructs the compiler to automatically build a primary constructor using the primary
// constructor parameters (firstName and lastName).

Person p = new Person ("Alice", "Jones");
p.Print();    // Alice Jones

class Person (string firstName, string lastName)
{
	public void Print() => Console.WriteLine (firstName + " " + lastName);
}

// See also query://../Inheritance/Inheritance_with_primary_constructors