<Query Kind="Statements" />

// In the following example, the House class chooses not to implement a convenience constructor:

House h1 = new House { Name = "House" };  // OK
House h2 = new House();                   // Error!

Asset a1 = new Asset { Name = "House" };  // OK
Asset a2 = new Asset();                   // Error: will not compile!

public class Asset
{
	public required string Name;

	public Asset() { }

	[System.Diagnostics.CodeAnalysis.SetsRequiredMembers]
	public Asset (string n) => Name = n;
}

public class House : Asset { }            // No constructor, no worries!
